Error installing JChem Extensions

#1

Hi,

I am new to KNIME and just received an evaluation license for JChem Extensions. When attempting to install JChem Extensions I get the following error preventing installation:

"Cannot complete the install because one or more required items could not be found.
  Software being installed: ChemAxon/Infocom JChem Extensions Feature 2.8.2.v0306 (jp.co.infocom.cheminfo.jchem.feature.feature.group 2.8.2.v0306)
  Missing requirement: ChemAxon/Infocom JChem Extensions 2.8.2.v0306 (jp.co.infocom.cheminfo.jchem 2.8.2.v0306) requires 'bundle org.knime.workbench.repository [2.8.0,3.0.0)' but it could not be found
  Cannot satisfy dependency:
    From: ChemAxon/Infocom JChem Extensions Feature 2.8.2.v0306 (jp.co.infocom.cheminfo.jchem.feature.feature.group 2.8.2.v0306)
    To: jp.co.infocom.cheminfo.jchem [2.8.2.v0306]"

What is 'bundle org.knime.workbench.repository [2.8.0,3.0.0)' and where can I find it?

Thanks for your help!

 

0 Likes

#2

Dear KGHicks,

I'm sorry for the inconvenience.

We have released JChem Extensions version 3.1.0.v0501.
It is available for download at https://www.infocom.co.jp/bio/knime/update/3.1

FYI.
https://www.chemaxon.com/forum/ftopic7632.html

Thank you for your time and kindly cooperation.

Best regards,
Taka

0 Likes

#3

Hi Taka,

That did the trick! Thanks for your help.

Best,

- Kevin

0 Likes

#4

Same problem with installing the latest version of the chemaxon nodes:

Software being installed: ChemAxon/Infocom Marvin Extensions Feature 3.1.0.v0503 (jp.co.infocom.cheminfo.marvin.feature.feature.group 3.1.0.v0503)
  Missing requirement: ChemAxon/Infocom Marvin Extensions 3.1.0.v0503 (jp.co.infocom.cheminfo.marvin 3.1.0.v0503) requires 'bundle org.knime.workbench.repository [3.1.0,4.0.0)' but it could not be found
  Cannot satisfy dependency:
    From: ChemAxon/Infocom Marvin Extensions Feature 3.1.0.v0503 (jp.co.infocom.cheminfo.marvin.feature.feature.group 3.1.0.v0503)
    To: jp.co.infocom.cheminfo.marvin [3.1.0.v0503]

Can anyone help with this?

Thanks, Ben

 

 

 

0 Likes

#5

Tried installing a brand new clean Knime install, and got:

Cannot complete the install because one or more required items could not be found.
  Software being installed: ChemAxon/Infocom Marvin Extensions Feature 3.1.0.v0503 (jp.co.infocom.cheminfo.marvin.feature.feature.group 3.1.0.v0503)
  Missing requirement: ChemAxon/Infocom Marvin Extensions 3.1.0.v0503 (jp.co.infocom.cheminfo.marvin 3.1.0.v0503) requires 'bundle org.knime.chem.types [3.1.0,4.0.0)' but it could not be found
  Cannot satisfy dependency:
    From: ChemAxon/Infocom Marvin Extensions Feature 3.1.0.v0503 (jp.co.infocom.cheminfo.marvin.feature.feature.group 3.1.0.v0503)
    To: jp.co.infocom.cheminfo.marvin [3.1.0.v0503]

0 Likes

#6

You also have to enable the default KNIME update site (it's enabled by default) because the JChem extension requires additional KNIME extensions.

0 Likes